/*
 *    Copyright (c) 2018-2025, hnqz All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the pig4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: hnqz
 */

import request from '@/router/axios'

export function fetchList(query) {
  return request({
    url: '/admin/wmdaagent/page',
    method: 'get',
    params: query
  })
}

export function addObj(obj) {
  return request({
    url: '/admin/wmdaagent',
    method: 'post',
    data: obj
  })
}

export function getObj(id) {
  return request({
    url: '/admin/wmdaagent/' + id,
    method: 'get'
  })
}

export function delObj(id) {
  return request({
    url: '/admin/wmdaagent/' + id,
    method: 'delete'
  })
}

export function putObj(obj) {
  return request({
    url: '/admin/wmdaagent',
    method: 'put',
    data: obj
  })
}

export function getAgentList(obj) {
  return request({
    url: '/admin/wmdaagent/list',
    method: 'get',
    params: obj
  })
}

//分页查询
export function selectwmDaProjectList(query) {
  return request({
    url: '/admin/wmdaproject/selectwmDaProjectList',
    method: 'get',
    params: query
  })
}

// 修改
export function updateWmDaProjectById(obj) {
  return request({
    url: '/admin/wmdaproject/updateWmDaProjectById',
    method: 'post',
    data: obj
  })
}

// 新增
export function insertWmDaProject(obj) {
  return request({
    url: '/admin/wmdaproject/insertWmDaProject',
    method: 'post',
    data: obj
  })
}

export function selectDeptId1(obj) {
  return request({
    url: '/admin/wmdaagent/selectExtDrugEnt',
    method: 'get',
    params: obj
  })
}


export function getDeptBuildName(obj) {
  return request({
    url: '/admin/api/getDeptBuildName/'+obj,
    method: 'get',
  })
}
